citadel_version: 4
metadata:
  name: LNbits
  version: 0.12.12
  category: Lightning Node Management
  tagline: Multi-user wallet management system
  developers:
    LNbits: https://github.com/lnbits/lnbits
  permissions:
  {% if services is containing("lnd") %}
    - lnd
  {% elif services is containing("core-ln") %}
    - core-ln
  {% else %}
    - - lnd
      - core-ln
  {% endif %}
  repo:
    Public: https://github.com/lnbits/lnbits
  support: https://t.me/lnbits
  gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  defaultPassword: $APP_SEED
  torOnly: false
  description: Description coming soon.
services:
  main:
    image: lnbits/lnbits:v0.12.12@sha256:739512d10c10535bdb53ab363640f02f95e3f857b64af401d48991d3cf2e43a8
    working_dir: /app
    restart: on-failure
    init: true
    environment:
      LNBITS_DEFAULT_WALLET_NAME: LNbits wallet
      LNBITS_DISABLED_EXTENSIONS: amilk
      LNBITS_ADMIN_EXTENSIONS: ngrok,admin
      LNBITS_ADMIN_UI: "true"
      LNBITS_DATA_FOLDER: /data
      LNBITS_SITE_TITLE: LNbits
      FORWARDED_ALLOW_IPS: "*"
    {% if services is containing("lnd") %}
      LNBITS_BACKEND_WALLET_CLASS: LndWallet
      LND_GRPC_ENDPOINT: $APP_LND_SERVICE_IP
      LND_GRPC_PORT: 10009
      LND_GRPC_CERT: /lnd/tls.cert
      LND_GRPC_MACAROON: /lnd/data/chain/bitcoin/$BITCOIN_NETWORK/admin.macaroon
    {% elif services is containing("core-ln") %}
      CLIGHTNING_RPC: /c-lightning/bitcoin/lightning-rpc
      LNBITS_BACKEND_WALLET_CLASS: CLightningWallet
    {% endif %}
      HOST: "0.0.0.0"
    port: 5000
    mounts:
    {% if services is containing("lnd") %}
      lnd: /lnd
    {% elif services is containing("core-ln") %}
      core-ln: /c-lightning
    {% endif %}
      data:
        data: /data
        upgrades: /app/lnbits/upgrades
        extensions: /app/lnbits/extensions
